Author: Eric Davis Category: ChiliProject - Organization
Created: 2010-12-30 Assignee: Eric Davis
Updated: 2011-01-16 Due date: 2011-01-12
Remote issue URL:
Description: I want to wait on setting up the teams until we are public but I think we need to create a Infrastructure team 

now.  I think this team would be responsible for managing the project's servers, mailing lists, etc.

Once this team is created, then the servers and other communication channels can be setup.

To start: what should the scope of this team be?

h2. Scope

* manage project servers
* manage project mailing lists
* manage project websites (wiki, forum, blog, etc)
* manage project scm
* manage IRC channel(s)

Associated revisions
2011-05-05 10:14 pm - Felix SchÃ¤fer 
Merge pull request #38 from edavis10/ticket/master/324-plugin-generators

Rename plugin generators to ChiliProject. #324

History
2010-12-30 10:27 pm - Muntek Singh
Scope:

Maintain the following items, meaning setup, updates, upkeep, etc. Basically the leader of this team should have access to make changes to all of the 
following:

* Public Website
** Wiki
** Forum
** Blog
* SCM
* Mailing Lists
* Servers to run any/all of the above
* Registering and adminning the IRC channel

Things I'm unsure fit into this team:

* Do they have root on all of the above?
* The legal stuff that needs to get done
* Finance/money stuff

2011-01-02 11:31 am - Eric Davis
Muntek Singh:

Added your suggestions to the description.

> * Do they have root on all of the above?

I'd say yes.  This is the whole "hit by the bus" factor, if only one person has root and something happens to them then the project is screwed.

> * The legal stuff that needs to get done
> * Finance/money stuff

No, that would be part of the governance/finance.  I consider infrastructure 100% technical (like the IT department).

2011-01-10 10:29 am - Eric Davis
- Due date set to 2011-01-14

- Status set to In Progress

Since we are getting close to finalizing the project name, we need to get this team setup so it can build/configure the servers.  The team scope is good 
enough for now, so we should pick the team members.

Since this team will have privileged permissions on the servers, I think it should be kept small.  For now I think having 2-3 people on it with 1 team lead 
would work.  

To start, *who would like to be the team leader?*  This person will need to invest a lot of time over the next two weeks to get all of the infrastructure 
setup for the launch.  They will also need to be highly technical, especially with servers and system administration.

I'm setting a deadline for this decision for the 14th. If we don't have a team leader by that time, I can fill this role on a *temporary* basis to get the 
project started.

2011-01-10 12:21 pm - Felix Schäfer
I'd be willing to take part in the team, though I have upcoming university tests (mid-february) and won't have much time until then. I might be able to 
take over the lead then, but I'm only proficient in administering a gentoo stack, so I wouldn't count myself as first choice if we go with anything else ;-)

2011-01-10 12:53 pm - Holger Just
I'm rather proficient with Debian and setting up stuff so I'm willing to help here. Not sure if I have what it takes to take the lead here though.

2011-01-10 01:58 pm - Eric Davis
Muntek, what are you? I know you have done a bunch of server administration yourself.

2011-01-11 12:47 am - Wieland Lindenthal
Actually there are a bunch of people that could help setting up the infrastructure.

* Holger actually designed and implemented almost the whole server infrastructure of finnlabs including virtualization, backup, monitoring, rails stack, 
scm, network, ...
* Michael Frister could more or less easily set up a CI server. He did this for finnlabs.
* He could also setup a Radiant based marketing website as well. For finnlabs he scripted the whole setup.

I definitely do not have the technical skills to for all theses upcoming tasks. Holger has. 

There is a difference between helping and leading. Leading is something you have to want. The question is who wants to lead (apart from helping)?
Regards
Wieland

 

2011-01-12 01:11 pm - Eric Davis
- Due date changed from 2011-01-14 to 2011-01-12

We still need a lead for this (one with time to setup everything this and next week). If no one volunteers by tonight (2011-01-12 Pacific time), I'll take the 
lead to get us started.

2011-01-12 01:16 pm - Muntek Singh
I'm also up for the job, I'm a sysadmin by day. I am provisioning a new VPS node and would be happy to setup anything/everything on a container or 
two. I'm fine with any *nix os, though it sounds like most of you are debian guys :)

2011-01-12 01:54 pm - Eric Davis
- Project changed from Organization to ChiliProject

- Target version deleted ()

2011-01-12 01:55 pm - Eric Davis
Muntek: you up for the team lead role or just helping out?

2011-01-12 01:58 pm - Eric Davis
- Category set to ChiliProject - Organization

2011-01-12 02:29 pm - Eric Davis
- Tracker changed from Feature to Task

2011-01-12 02:57 pm - Muntek Singh
I'll be happy to take the job, and work closely with Holger so you can focus your efforts on other things.

2011-01-12 03:00 pm - Eric Davis
Okay, so unless there is any other discussion points:

* Muntek will be the Infrastructure team lead
* Holger, Felix, and I will be the team members

I'll open issues for specific things that need to get done.

2011-01-12 03:11 pm - Eric Davis
- Target version set to Public Launch

2011-01-16 10:48 am - Holger Just
- Status changed from In Progress to Closed
Infrastructure team is set up and things are running smoothly.
